<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		  var Persona=function(){
  
          let nombre;
          this.dormir=function(){
            
              console.log('ZZZZZZZZZZZZZZZ');
          };
          
          this.hablar=function(){

              console.log('BLA BLA BLA BLA');

          };

          this.contar=function(){

              console.log('1 2 3 4 5 6');

          };

          this.adquirirNombre=function(){

               nombre=prompt("Introduce tu nombre");

          };

          this.decirNombre(){
          	   console.log('mi nombre es' + nombre);

          };


		};

		/* Crear una clase hija */
		var Hija=function(){

             this.atributoHijo=18;

		};

		Hija.prototype=new Persona();

		/*vamos a crear un objeto desde la clase hija*/
		var Ana=new Hija();
		/*vamos a crear un objeto desde la clase padre*/
		var Ramon=new Persona();

		console.log(Ana.atributoHijo);
		console.log(Ana);
		console.log(Ramon);

	</script>
</head>
<body>
	
</body>
</html>